## gimppixbuf gimppixbuf |

## Functions

GdkPixbuf * | gimp_image_get_thumbnail ()
GdkPixbuf * | gimp_drawable_get_thumbnail ()
GdkPixbuf * | gimp_drawable_get_sub_thumbnail ()

## Types and Values

enum | GimpPixbufTransparency

## Description

## Functions

### gimp_image_get_thumbnail ()

    GdkPixbuf *
    gimp_image_get_thumbnail (gint32 image_ID,
                              gint width,
                              gint height,
                              GimpPixbufTransparency alpha);

Since: GIMP 2.2

### gimp_drawable_get_thumbnail ()

    GdkPixbuf *
    gimp_drawable_get_thumbnail (gint32 drawable_ID,
                                 gint width,
                                 gint height,
                                 GimpPixbufTransparency alpha);

Since: GIMP 2.2

### gimp_drawable_get_sub_thumbnail ()

    GdkPixbuf *
    gimp_drawable_get_sub_thumbnail (gint32 drawable_ID,
                                     gint src_x,
                                     gint src_y,
                                     gint src_width,
                                     gint src_height,
                                     gint dest_width,
                                     gint dest_height,
                                     GimpPixbufTransparency alpha);

Since: GIMP 2.2

## Types and Values

### enum GimpPixbufTransparency

#### Members

GIMP_PIXBUF_KEEP_ALPHA |  |
GIMP_PIXBUF_SMALL_CHECKS |  |
GIMP_PIXBUF_LARGE_CHECKS |  |